Hierarch Asterios:
Elven Knights choose swordsmanship over archery. It is amazing to watch them fighting, because they use unique styles that emphasize defense as much as attack. Their polished techniques confuse their enemies and mesmerize those who are watching. These days, many Elven Knights enter the Human world in the service of Einhasad and Eva, even though they were originally created to protect the Mother Trees from invaders.
The most talented of Elven Knights are sometimes selected as Temple Knights, the highest order of the Elves, or Swordsingers, who train Elven Swordsmanship to a fine art. Of course, much hard training, as well as great talent, is required.
Ask about changing profession to Elven Knight
Return